Loading...
Searching...
No Matches
Dune::TypeListSize< TypeList< T... > > Struct Template Reference
Common » Utilities » Type Utilities

Get size of TypeList. More...

`#include <dune/common/typelist.hh>`

Inheritance diagram for Dune::TypeListSize< TypeList< T... > >:

## Detailed Description

template<class... T>
struct Dune::TypeListSize< TypeList< T... > >

Get size of TypeList.

The result of is encoded in the base class of type std::integral_constant<std::size_t, result>.

The documentation for this struct was generated from the following file:

- typelist.hh